Generate markup for uploaded image dropped into wiki-edit textarea
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.4.0

Resolution: Fixed

Description

As it is already possible to upload files by using drag n drop, it'd be a great Ul improvement to immediately generate the markup for
an image when dragged into a textarea. We have seen this feature at github and think it would be a great Ul improvement to
redmine. For example, if you drag an image into an issue's description field you'll get limage.png! (if formatting is set to textile) or
I[I(image.jpg) (if formatting is set to markdown) at the current cursor position.
| am attaching a patch that introduces this feature into redmine. Allowed are all image file types that are listed in redmine's
mime_types. The behavior remains the same for all other file types / non-image file types.

Related issues:

Related to Redmine - Defect #10189: Inline image does not work with spaces in... New

Related to Redmine - Feature #17438: Support embedding images/files in issue ... Closed

Related to Redmine - Patch #26682: URL-escape the ! character in generated ma... Closed

Related to Redmine - Feature #7979: Automatically show attached images in-line Closed 2011-03-24
Related to Redmine - Patch #31169: Wiki syntax help for document image pastin... Closed

Has duplicate Redmine - Feature #4491: Direct Image Upload in Forum Closed 2009-12-27

Associated revisions

Revision 16643 - 2017-06-07 23:01 - Jean-Philippe Lang

Generate markup for uploaded image dropped into wiki-edit textarea (#26071).

Patch by Felix Gliesche.

History

#1 - 2017-05-30 17:10 - Marius BALTEANU

Very nice improvement!

#2 - 2017-05-30 17:25 - Go MAEDA

- Target version set to 3.4.0

| have been wanting this feature for a long time. It is a great improvement.
| tried out the patch and works very fine. | think there is no reason not to deliver this feature in upcoming 3.4.0.

#3 - 2017-05-30 17:40 - Felix Gliesche
- File 0001-Generate-markup-for-uploaded-image-dropped-into-wiki.patch added

A small update: This updated patch sanitizes filenames correctly.

#4 - 2017-05-30 17:52 - Vipama Lucyu

Worked for me at <<link removed>>

Edited by Mischa The Euvil.

#5 - 2017-05-30 18:09 - Jan from Planio www.plan.io
- File deleted (0001-Generate-markup-for-uploaded-image-dropped-into-wiki.patch)
#6 - 2017-05-30 18:28 - Fernando Hartmann

Great, could this patch support file names with spaces too? #10189

#7 - 2017-05-30 18:53 - Felix Gliesche

Fernando Hartmann wrote:

Great, could this patch support file names with spaces too? #10189

Yes! This patch works for filename with spaces, because it encodes the filename accordingly before generating the markup.

#8 - 2017-05-31 21:46 - Mischa The Evil

Nice improvement indeed. LGTM.

#9 - 2017-06-07 23:01 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Nice, thanks!

#10 - 2017-06-22 16:06 - Toshi MARUYAMA

- Related to Defect #10189: Inline image does not work with spaces in file name added

#11 - 2017-07-29 09:40 - Go MAEDA
- Related to Feature #17438: Support embedding images/files in issue description added

#12 - 2017-08-16 04:57 - Go MAEDA
- Related to Patch #26682: URL-escape the ! character in generated markup for dropped uploads added

#13 - 2018-07-29 17:52 - Go MAEDA

- Related to Feature #7979: Automatically show attached images in-line added

#14 - 2018-12-02 16:20 - Go MAEDA
- Has duplicate Feature #4491: Direct Image Upload in Forum added

#15 - 2019-04-08 10:10 - Go MAEDA
- Related to Patch #31169: Wiki syntax help for document image pasting and drag/drop embedding added
